// импорт говна
const header_element = document.getElementById("header")
const loroteam_logo_element = document.getElementById("loroteam_logo")
const loading_element = document.getElementById("loading")
const navigation_element = document.getElementById("navigation")
const sexy_title_element = document.getElementById("sexy_title")
const title_element = document.getElementById("title")
const subtitle_element = document.getElementById("subtitle")
const info_title_element = document.getElementById("info_title")
const info_subtitle_element = document.getElementById("info_subtitle")
const email_title_element = document.getElementById("email_title")
const email_subtitle_element = document.getElementById("email_subtitle")
const email_domain_element = document.getElementById("email_domain")
const host_title_element = document.getElementById("host_title")
const host_subtitle_element = document.getElementById("host_subtitle")
const sex_subtitle_element = document.getElementById("?????_subtitle")
const domain_element = document.getElementById("domain")
const why_title_element = document.getElementById("why_title")
const why_subtitle_element = document.getElementById("why_subtitle")
const free_title_element = document.getElementById("free_title")
const free_subtitle_element = document.getElementById("free_subtitle")
const kind_title_element = document.getElementById("kind_title")
const kind_subtitle_element = document.getElementById("kind_subtitle")
const fun_title_element = document.getElementById("fun_title")
const fun_subtitle_element = document.getElementById("fun_subtitle")
const rules_title_element = document.getElementById("rules_title")
const rules_subtitle_element = document.getElementById("rules_subtitle")
const noCopyright_element = document.getElementById("noCopyright")
const noExtremism_element = document.getElementById("noExtremism")
const noPolitics_element = document.getElementById("noPolitics")
const noRasizm_element = document.getElementById("noRasizm")
const noRussia_element = document.getElementById("noRussia")
const rules_subsubtitle_element = document.getElementById("rules_subsubtitle")
const order_title_element = document.getElementById("order_title")
const order_subtitle_element = document.getElementById("order_subtitle")
const order_bot_element = document.getElementById("order_bot")
const order_sex_element = document.getElementById("order_?????")
const order_subsubtitle_element = document.getElementById("order_subsubtitle")
const changeThemeButton_element = document.getElementById("changeThemeButton")
const dark_theme_element = document.getElementById("dark_theme")

//смена языка. для начала ставим тот язык, что у юзера вообще
let lang
const userLang = navigator.language || navigator.userLanguage
if (userLang === "ru-RU") {
    lang = "RU"
} else {
    lang = "EN"
}

email_domain_element.textContent = document.location.hostname
domain_element.textContent = document.location.hostname
title_element.textContent = document.location.hostname

sexy_title_element.textContent = document.location.hostname

//смена темы
function changeTheme() {
    if (dark_theme_element.href.includes("dark.css")) {
        dark_theme_element.href = ""
        changeThemeButton_element.src = "dark.svg"
    } else {
        dark_theme_element.href = "dark.css"
        changeThemeButton_element.src = "light.svg"
    }
}

if (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) {
  changeTheme()
}
//локализация 😭
function localilaze() {
    if (lang === "RU") {
        info_title_element.textContent = "Бомжохостинг, который просто существует";
        info_subtitle_element.textContent = "Наша команда предоставляет услуги хостинга в следющих формах:";
        email_title_element.textContent = "5 почтовых ящиков";
        email_subtitle_element.textContent = "Получите до пяти почтовых ящиков по типу example@" + document.location.hostname + ".";
        host_title_element.textContent = "1 субдомен";
        host_subtitle_element.textContent = "Получите субдомен по типу example." + document.location.hostname + " с хостом без PHP.";
        sex_subtitle_element.textContent = "В будущем мы планируем расширить наш ассортимент услуг. Пока что ничего сказать не можем.";
        why_title_element.textContent = "Почему мы?";
        why_subtitle_element.textContent = "Не знаю. А если серьёзно, то:";
        free_title_element.textContent = "Бесплатно";
        free_subtitle_element.textContent = "Наши услуги абсолютно бесплатны. Нет единоразовых покупок, платных подписок и прочего хлама.";
        kind_title_element.textContent = "Мы добрые";
        kind_subtitle_element.textContent = "Наша поддержка ни за что не пошлёт вас куда подальше и будет всегда добра к вам. Имеются редкие исключения.";
        fun_title_element.textContent = "Смешной домен";
        fun_subtitle_element.textContent = "Ну правда же смешной домен... Можно использовать его на Госуслугах или ещё где-нибудь, кек.";
        rules_title_element.textContent = "Правила размещения";
        rules_subtitle_element.textContent = "Требуется следовать следующим правилам, чтобы пользоваться нашими услугами:";
        noCopyright_element.textContent = "Запрещается нарушать авторские права и размещать материалы, защищённые законодательством об интеллектуальной собственности без соответствующего разрешения.";
        noExtremism_element.textContent = "Запрещается пропагандировать или поощрять действия, представляющие угрозу для жизни или здоровья, включая, но не ограничиваясь: терроризмом, суицидом, жестоким обращением с животными и аналогичными действиями.";
        noPolitics_element.textContent = "Запрещается распространять политические взгляды, лозунги, агитационные материалы и иные формы политической пропаганды.";
        noRasizm_element.textContent = "Запрещается размещать материалы, содержащие оскорбления в адрес религий, национальностей, расовых или этнических групп, а также представителей различных социальных и гендерных ориентаций.";
        noRussia_element.textContent = "Запрещается публиковать контент, нарушающий законодательство Российской Федерации, а также законодательство страны, в которой вы проживаете.";
        rules_subsubtitle_element.textContent = "Нарушение указанных правил может повлечь за собой ограничение или прекращение доступа к нашим услугам.";
        order_title_element.textContent = "Заказать";
        order_subtitle_element.textContent = "Заказать услугу можно следующими способами:";
        order_bot_element.textContent = "Через Telegram-бота";
        order_sex_element.textContent = "????? (потом)";
        order_subsubtitle_element.textContent = "Учтите, что вы должны следовать вышеуказанным правилам, чтобы пользоваться услугами.";
        switch (document.location.hostname) {
            case "megasiski.ru":
            case "мегасиськи.рф":
            case "demo.megasiski.ru":
               subtitle_element.textContent = "Мегахостинг для мегалюдей"
               break;
            case "furry34.ru":
            case "demo.furry34.ru":
	    case "dumpster.furrmi.ru":
                subtitle_element.textContent = "Пушстый хостинг, но с ньюансом"
                break;
            case "konataizumi.ru":
                subtitle_element.textContent = "Отаку-хостинг"
                break;
            case "pidorasek.ru":
            case "пидорасек.рф":
                subtitle_element.textContent = "Мужской хостинг"
                break;
            case "бойкиссер.рф":
                subtitle_element.textContent = "Силли хостинг"
                break;
            case "писькифембоев.рф":
                subtitle_element.textContent = "Хостинг для ценителей изящного"
                break;
        }
    } else {
        info_title_element.textContent = "Stupid hosting, which just exists";  
        info_subtitle_element.textContent = "Our team provides hosting services in the following forms:";  
        email_title_element.textContent = "5 mailboxes";  
        email_subtitle_element.textContent = "Get up to five mailboxes like example@" + document.location.hostname + ".";  
        host_title_element.textContent = "1 subdomain";  
        host_subtitle_element.textContent = "Get a subdomain like example." + document.location.hostname + " with hosting without PHP.";  
        sex_subtitle_element.textContent = "In the future, we plan to expand our range of services. For now, we can't say anything.";  
        why_title_element.textContent = "Why us?";  
        why_subtitle_element.textContent = "I don't know. But seriously:";  
        free_title_element.textContent = "Free";  
        free_subtitle_element.textContent = "Our services are completely free. No one-time purchases, paid subscriptions, or other junk.";  
        kind_title_element.textContent = "We're kind";  
        kind_subtitle_element.textContent = "Our support team will never tell you to go away and will always be kind to you. Rare exceptions may apply.";  
        fun_title_element.textContent = "Funny domain";  
        fun_subtitle_element.textContent = "Seriously, it's a funny domain... You can use it anywere, lol.";  
        rules_title_element.textContent = "Hosting rules";  
        rules_subtitle_element.textContent = "You must follow these rules to use our services:";  
        noCopyright_element.textContent = "It is prohibited to violate copyright laws or host materials protected by intellectual property legislation without appropriate permission.";  
        noExtremism_element.textContent = "It is prohibited to promote or encourage actions that threaten life or health, including but not limited to: terrorism, suicide, animal cruelty, and similar acts.";  
        noPolitics_element.textContent = "It is prohibited to spread political views, slogans, propaganda materials, or any other form of political promotion.";  
        noRasizm_element.textContent = "It is prohibited to post materials containing insults towards religions, nationalities, racial or ethnic groups, as well as representatives of various social and gender orientations.";  
        noRussia_element.textContent = "It is prohibited to publish content that violates the laws of the Russian Federation or the laws of the country where you reside.";  
        rules_subsubtitle_element.textContent = "Violation of these rules may result in restricted access or termination of our services.";  
        order_title_element.textContent = "Order";  
        order_subtitle_element.textContent = "You can order a service in the following ways:";  
        order_bot_element.textContent = "Via Telegram bot";  
        order_sex_element.textContent = "????? (later)";  
        order_subsubtitle_element.textContent = "Note that you must follow the rules above to use our services.";  
        switch (document.location.hostname) {
            case "megasiski.ru":
            case "мегасиськи.рф":
            case "demo.megasiski.ru":
                subtitle_element.textContent = "Mega hosting for mega people";
                break;
            case "furry34.ru":
            case "demo.furry34.ru":
                subtitle_element.textContent = "Fluffy hosting, but with a nuance";
                break;
            case "konataizumi.ru":
                subtitle_element.textContent = "Otaku hosting";
                break;
            case "pidorasek.ru":
            case "пидорасек.рф":
                subtitle_element.textContent = "Male hosting";
                break;
            case "бойкиссер.рф":
                subtitle_element.textContent = "Silly hosting";
                break;
            case "писькифембоев.рф":
                subtitle_element.textContent = "Hosting for connoisseurs of the exquisite";
                break;
        }
    }
}
localilaze()


function scrollToSex() {
	document.location.hash = "sex"
	document.location.hash = ""
}

function changeLang() {
	if (lang === "RU") {
        lang = "EN"
    } else {
        lang = "RU"
    }
    localilaze()
}

window.addEventListener('load', function() {
    header_element.style.height = 60+"px"
    loading_element.style.opacity = 0
    navigation_element.style.opacity = 1
    loroteam_logo_element.style.opacity = 1
});